\begin{tikzpicture}[framed, scale=0.8]
  % Draw the coordinate system
  \draw[->] (-1, 0) -- (6, 0) node[anchor=north east] {$x_0$};
  \draw[->] (0, -1) -- (0, 6) node[anchor=north east] {$y_0$};

  \node at (3, -0.2) {$x$};
  \node at (-0.2, 3) {$y$};

  % Draw the robot body
  \draw[fill=gray!20] (3,3) circle (2.5);

  % Draw the dashed lines
  \draw[dashed] (3, 0) -- (3, 3);
  \draw[dashed] (0, 3) -- (3, 3);
  \draw[dashed] (3, 3) -- (3, 5.2);

  % Draw the orientation arrow
  \draw[->, thick] (3,3) -- (5.5,5.5);
  \draw[->, dashed] (3,3) -- (5.9,3);

  % Draw the angle arc
  \draw[->, thick] (5.7, 3) arc (0:45:2.7)
    node[pos=0.5, anchor=west] {$\theta$};

  % Draw and label the wheels with named nodes
  \node (w1) [draw, fill=gray!70, rounded corners, minimum width=30, minimum height=15, rotate=45]
    at (1.6,4.4) {};
  \node (w2) [draw, rectangle, fill=gray!70, rounded corners, minimum width=30, minimum height=15, rotate=45]
    at (4.4,1.6) {};

  % Draw the dashed line between the wheels
  \draw[dashed] (w1.center) -- (w2.center);
\end{tikzpicture}
